﻿query GetAllGroupPassword($byArchived: Boolean = false) {
    sharedPasswords(byArchived: $byArchived) {
        ...sharedPasswordFields
        groupId
    }
}

query GetGroupPassword($groupIds: [Guid]!, $byArchived: Boolean = false) {
    sharedPasswords(groupIds: $groupIds, byArchived: $byArchived) {
        ...sharedPasswordFields
        groupId
    }
}

mutation AddGroupPassword($sharedPassword: AddSharedPasswordInputType!) {
    sharedPassword {
        add(password: $sharedPassword) {
            ...sharedPasswordFields
        }
    }
}
mutation DeleteGroupPassword($id: Guid!) {
    sharedPassword {
        delete(id: $id) {
            ...sharedPasswordFields
        }
    }
}
